<?

$limit_razm=$set['size_for']*1024;

$q1 = @$db->sql_query( @"select  *  from  `forum_t` where `id`='".$fid."' ;" );
$tem = @$db->sql_fetchrow(@$q1);
if (mysql_affected_rows() == 0){
echo '<b>Такой темы не существует! Возможно она была удалена модератором.</b>';
echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
foot();
}

$t_name = $tem ['name'];
$f = $tem ['f_id'];
$r = $tem ['r_id'];

$for = @$db->sql_fetchrow($db->sql_query( "select * from  `forum_f` where id='$f';" ));
$raz = @$db->sql_fetchrow($db->sql_query( "select * from  `forum_r` where id='$r';" ));

//if(!empty($_GET['er'])) echo '<font color="red"><b>'.$_GET['er'].'</b></font><br />';
if($_GET['er']==1) echo '<font color="red"><b>Короткое сообщение!</b></font><br/>';
else if($_GET['er']==2) echo '<font color="red"><b>Не пишите так часто!</b></font><br/>';
else if($_GET['er']==3) echo '<font color="red"><b>Такое сообщение уже есть!</b></font><br/>';
else if($_GET['er']==4) echo '<font color="red"><b>Запрещено загружать фаил более '.$limit_razm.' кб !</b></font><br/>';
else if($_GET['er']==5) echo '<font color="red"><b>Данный формат запрещено использовать!!!</b></font><br/>';
echo '<a href="./">Форумы</a>|<a href="razdel_'.$f.'">'.$for[name].'</a>';
echo '|<a href="temes_'.$r.'">'.$raz[name].'</a>|<b>'.$t_name.'</b><dl><dt></dt></dl><a href="#down">Вниз</a> | <a href="?">Обновить</a> | <a href="bookmarks_'.$fid.'">В закладки</a>';


if ($tem['close']==0 && $user['level']<5 && $tem['user_id']==$user['id'])echo ' | <a href="?close">Закрыть</a>';
if ($user['level']>=5){
if ($tem['close'] == 1)echo ' | <a href="?open">Открыть</a>|';
else echo ' | <a href="?close">Закрыть</a>|';
if ($tem['zak'] == 0)echo '<a href="?fix">Закрепить</a>|';
else echo '<a href="?unfix">Открепить</a>|';
echo '<a href="?delet">Удалить</a><br/>';
}else echo '<br />';
// Закрываем тему
if (isset($_GET['close'])){
if ($user[level]>=5){if($db->sql_query("UPDATE `forum_t` SET `close` = '1' WHERE `id` = '".$fid."'")){
$msg = ".темазакр. Тема закрыта для обсуждения!";
$db->sql_query ("INSERT INTO forum_msg (f_id,r_id,t_id,user_id,msg,time,privat) VALUES ('$tem[f_id]','$tem[r_id]','".$fid."','$user[id]','$msg','$time','$privat')");
$db->sql_query("UPDATE `forum_t` SET `time` = '$time' WHERE `id` = '".($fid)."'");
}
}else{ if($db->sql_query("UPDATE `forum_t` SET `close` = '1' WHERE `id` = '".$fid."' and user_id = '$user[id]'")){
$msg = ".темазакр. Тема закрыта для обсуждения!";
$db->sql_query ("INSERT INTO forum_msg (f_id,r_id,t_id,user_id,msg,time,privat) VALUES ('$tem[f_id]','$tem[r_id]','".$fid."','$user[id]','$msg','$time','$privat')");
$db->sql_query("UPDATE `forum_t` SET `time` = '$time' WHERE `id` = '".($fid)."'");
}
}
header ('Location: ?'.SID);
}
// Открываем тему
if (isset($_GET['open'])){
if ($user[level]>=5){if($db->sql_query("UPDATE `forum_t` SET `close` = '0' WHERE `id` = '".$fid."'")){
$msg = ".темаоткр. Тема открыта для обсуждения!";
$db->sql_query ("INSERT INTO forum_msg (f_id,r_id,t_id,user_id,msg,time,privat) VALUES ('$tem[f_id]','$tem[r_id]','".$fid."','$user[id]','$msg','$time','$privat')");
$db->sql_query("UPDATE `forum_t` SET `time` = '$time' WHERE `id` = '".($fid)."'");
}
}else{ if($db->sql_query("UPDATE `forum_t` SET `close` = '0' WHERE `id` = '".$fid."' and user_id = '$user[id]'")){
$msg = ".темаоткр. Тема открыта для обсуждения!";
$db->sql_query ("INSERT INTO forum_msg (f_id,r_id,t_id,user_id,msg,time,privat) VALUES ('$tem[f_id]','$tem[r_id]','".$fid."','$user[id]','$msg','$time','$privat')");
$db->sql_query("UPDATE `forum_t` SET `time` = '$time' WHERE `id` = '".($fid)."'");
}
}
header ('Location: ?'.SID);
}
// Закрепляем тему
if (isset($_GET['fix'])){
if ($user[level]>=5)$db->sql_query("UPDATE `forum_t` SET `zak` = '1' WHERE `id` = '".$fid."'");
header ('Location: ?'.SID);
}
// Открепляем тему
if (isset($_GET['unfix'])){
if ($user[level]>=5)$db->sql_query("UPDATE `forum_t` SET `zak` = '0' WHERE `id` = '".$fid."'");
header ('Location: ?'.SID);
}
// Удаляем тему
if (isset($_GET['delet'])){
if ($user[level]>=5){
$q = @$db->sql_query("SELECT * FROM `forum_msg` where t_id = '".$fid."';");
while($d = $db->sql_fetchrow($q)){
if($d['file']!=NULL)unlink ('../files/forum/'.$d['file'].'');
}
$db->sql_query("DELETE FROM `forum_msg` where t_id = '".$fid."'");
$db->sql_query("DELETE FROM `forum_t` where id = '".$fid."'");
$query = mysql_query("SELECT `id` FROM `forum_golos` WHERE `tid`='".$fid."'");
if (mysqlnum_rows($query)!=0) {
while ($g = mysql_fetch_array($query)) {
if (mysql_num_rows(mysql_query("SELECT `id` FROM `forum_replay` WHERE `gid`='".$g['id']."'"))!=0) {
mysql_query("DELETE FROM `forum_replay` WHERE `gid`='".$g['id']."'");
}
}
mysql_query("DELETE FROM `forum_golos` WHERE `tid`='".$fid."'");
}
}
header ('Location: temes_'.$r.'?'.SID);
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from forum_msg WHERE `f_id` = '".$f."' and `t_id` = '".$fid."' and r_id = '".$r."';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

if ($tem['close'] == 1)echo '<br /><b>Тема закрыта для обсуждения!</b><br/>';
else{
echo '<dl><dt></dt></dl>';
if($user['id']!=""){
if($user['posts']>=$set['otv_post_for']){
echo '<img src="'.H.'img/add.png" alt="*"/> <a href="addpost_'.$fid.'_'.$page.'"><b>Ответить</b></a><dl><dt></dt></dl>';
}else{
echo 'Для общения в форуме нужно<br/>иметь более <b>'.$set['otv_post_for'].'</b> постов!<br/><dl><dt></dt></dl>';
}
}

$g = @$db -> sql_fetchrow(@$db -> sql_query(@"SELECT * FROM `forum_golos` WHERE `tid`='".$tem['id']."' LIMIT 1"));
if (@mysql_affected_rows() > 0) {
echo '<form action="tema_'.$fid.'" method="post">
'.$g['question'].'?<br />';
$rep = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='1'"));
$rep2 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='2'"));
//	$replay = @$db -> sql_fetchrow(@$db -> sql_query(@"SELECT `id` FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `uid`='".$user['id']."' LIMIT 1"));
//	if ($g['end'] > $_SERVER['REQUEST_TIME'] && $db -> sql_numrows(@$db -> sql_query(@"SELECT `id` FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `uid`='".$user['id']."' LIMIT 1")) == 0) $view = TRUE;
if ($g['end'] < $_SERVER['REQUEST_TIME'] || $db -> sql_numrows(@$db -> sql_query(@"SELECT `id` FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `uid`='".$user['id']."' LIMIT 1")) != 0) {
echo $g['answer1'].' ('.$rep[0].')<br />
'.$g['answer2'].' ('.$rep2[0].')<br />';
if ($g['answer3']) {
$rep3 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='3'"));
echo $g['answer3'].' ('.$rep3[0].')<br />';
}
if ($g['answer4']) {
$rep4 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='4'"));
echo $g['answer4'].' ('.$rep4[0].')<br />';
}
if ($g['answer5']) {
$rep5 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='5'"));
echo $g['answer5'].' ('.$rep5[0].')<br />';
}
if ($g['answer6']) {
$rep6 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='6'"));
echo $g['answer6'].' ('.$rep6[0].')<br />';
}
}
else {
if (empty($_POST['answer'])) {
echo '<input name="answer" type="radio" value="1" /> '.$g['answer1'].' ('.$rep[0].')<br />
<input name="answer" type="radio" value="2" /> '.$g['answer2'].' ('.$rep2[0].')<br />';
if ($g['answer3']) {
$rep3 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='3'"));
echo '<input name="answer" type="radio" value="3" /> '.$g['answer3'].' ('.$rep3[0].')<br />';
}
if ($g['answer4']) {
$rep4 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='4'"));
echo '<input name="answer" type="radio" value="4" /> '.$g['answer4'].' ('.$rep4[0].')<br />';
}
if ($g['answer5']) {
$rep4 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='5'"));
echo '<input name="answer" type="radio" value="5" /> '.$g['answer5'].' ('.$rep5[0].')<br />';
}
if ($g['answer6']) {
$rep4 = mysql_fetch_array(mysql_query("SELECT COUNT(`id`) FROM `forum_replay` WHERE `gid`='".$g['id']."' AND `replay`='6'"));
echo '<input name="answer" type="radio" value="6" /> '.$g['answer6'].' ('.$rep6[0].')<br />';
}
?><input type="submit" value="Ответить" /></form><?php
}
else {
$db -> sql_query("INSERT INTO `forum_replay` SET `gid`='".$g['id']."', `uid`='".$user['id']."', `replay`='".abs((int)$_POST['answer'])."'") or mysql_error();
header('Location: tema_'.$fid);
}
}
}
}

if (isset($_GET['del'])){
if ($user[level]>4){
$d = $db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_msg` where id='".check(intval($_GET['del']))."';"));
if($d['file']!=NULL)unlink ('../files/forum/'.$d['file'].'');
$db->sql_query("DELETE FROM `forum_msg` WHERE `id` = '".check(intval($_GET['del']))."'");
}
header ('Location: ?'.SID);
}

if (isset($_GET['delf'])){
if ($user[level]>4){
$d = $db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_msg` where id='".check(intval($_GET['delf']))."';"));
if($d['file']!=NULL){unlink ('../files/forum/'.$d['file'].'');
$db->sql_query("UPDATE `forum_msg` SET `file` = 'del' WHERE `id` = '".check(intval($_GET['delf']))."'");}
}else{
$d = $db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_msg` where id='".check(intval($_GET['delf']))."' and user_id='".$user['id']."';"));
if($d['file']!=NULL){unlink ('../files/forum/'.$d['file'].'');
$db->sql_query("UPDATE `forum_msg` SET `file` = 'del' WHERE `id` = '".check(intval($_GET['delf']))."' and user_id='".$user['id']."'");}
}
header ('Location: ?'.SID);
}

$q2 = @$db->sql_query("SELECT * from `forum_msg` WHERE `t_id` = '".$fid."' order by time limit $start, $max;" );
$k = $db->sql_numrows( $q2 );
if ($k_post == 0)echo '<br />Здесь сообщений пока нет :)<br />';

//$k_page2 = $k_post-$start;
$post_k=$start+1;
while($mess = @$db->sql_fetchrow(@$q2)){
$time = $mess['time'];
$m = $mess['id'];

if (empty($mess['privat'])){  // если написали не в Приват
echo links;

//echo "".$k_page2--.". ";
echo ($post_k++);
echo '<b>';
$select = @mysql_query ("Select * from users where id='".$mess[user_id]."'");


$inf = mysql_fetch_array ($select);
echo '</b>';

echo ' ';
echo nik($mess['user_id']).'';
if($inf['myavatar']!='')echo '<img src="'.H.''.$inf['myavatar'].'"align="left" width="40" height="40" alt="?" border="3"></br>';
else echo '<img src="'.H.'/no-avatar.png" alt="myavatar"align="left" width="40" height="40" alt="?" border="1"></br>';

include'rat.php';
echo div;
if ($tem['close']!=1){

 


if($user['id']!=""){
if ($user['id']!=$mess['user_id'])
if($user['posts']>=$set['otv_post_for']){echo '<a href="addpost_'.$fid.'_'.$mess[user_id].'_'.$page.'" title="Ответить">[Отв]</a>|<a href="cit_'.$m.'_'.$page.'" title="Цитировать">[Цит]</a>|';
}else{ 
echo '[отв]';
}
}
if($user['level']>4)echo '<a href="?del='.$m.'" title="Удалить">[удал]</a>|';
if(($user['level']>4)&&($user['level']>=user_inf($mess['user_id'],'level'))||($user['id']==$mess['user_id']))echo '<a href="editp_'.$m.'_'.$page.'" title="Изменить">[Изм]</a></br>';
}

if ($mess['cit']) echo citata.'<u>'.bbcode($mess['cit']).'</u>'.div;// Цитата
if($user['sizep']==0)echo text($mess['msg']);
else{
echo '('.times($mess['time']).')<br />';
$msg=substr($mess['msg'], 0, $user['sizep']);
$kol=strlen($msg);
$msg=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$msg);
echo text($msg);
if (strlen($mess['msg'])>$user['sizep'])echo '<br /><a href="read_'.$m.'_'.$page.'">Читать все >></a>';
}

if ($mess['file']!=NULL){
echo "<br/>";
if ($mess['file']==del)echo 'Файл удален! ['.$mess['sfile'].'|'.round($mess['fsize']/1024,1).' кб.]';
else{
echo "Файл: <a href=\"down_".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfile']."|".round($mess['fsize']/1024,1)." кб.]";
if(($user['level']>4)&&(user_inf($user['level']>=$mess[user_id],'level'))||($user['id']==$mess['user_id']))echo ' <a href="?delf='.$m.'" title="Удалить">[удал]</a>|';}
}
if($user['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста
echo '<dl></dl>';


}else if($mess['privat']==$user['id']||$mess['user_id']==$user['id']||$user['level']>=$set['for_privat']){ // Если приват = челу

echo gb;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo '. '.nik($mess['user_id']).' ';
if ($tem['close']!=1){
if ($user['id']!=$mess['user_id'])
if($user['posts']==$set['otv_post_for']){echo '<a href="addpost_'.$fid.'_'.$mess[user_id].'_'.$page.'" title="Ответить">[Отв]</a>|<a href="cit_'.$m.'_'.$page.'" title="Цитировать">[Цит]</a>|';}

if($user['level']>4)echo '<a href="?del='.$m.'" title="Удалить">[удал]</a>|';
if(($user['level']>4)&&(user_inf($user['level']>=$mess[user_id],'level'))||($user['id']==$mess['user_id']))echo '<a href="editp_'.$m.'_'.$page.'" title="Изменить">[Изм]</a>';
}

echo '('.times($mess['time']).')<font color="red">Приватное!</font>';
include'rat.php';
echo div;
if ($mess['cit']) echo citata.'<i>'.bbcode($mess['cit']).'</i>'.div;// Сцитата
if($user['sizep']==0)echo text($mess['msg']);
else{
$msg=substr($mess['msg'], 0, $user['sizep']);
$kol=strlen($msg);
$msg=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$msg);
echo text($msg);
if (strlen($mess['msg'])>$user['sizep'])echo '<br /><a href="read_'.$m.'_'.$page.'">Читать все >></a>';
}

if ($mess['file']!=NULL){
echo "<br/>";
if ($mess['file']==del)echo 'Файл удален! ['.$mess['sfile'].'|'.round($mess['fsize']/1024,1).' кб.]';
else{
echo "Файл: <a href=\"down_".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfile']."|".round($mess['fsize']/1024,1)." кб.]";
if(($user['level']>4)&&($user['level']>=user_inf($mess[user_id],'level'))||($user['id']==$mess['user_id']))echo ' <a href="?delf='.$m.'" title="Удалить">[удал]</a>|';}
}
if($user['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста

echo '<dl></dl>';
}else{ // если чел левый

echo links;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo '. '.nik($mess['user_id']).' ';
echo '('.times($mess['time']).')';
include'rat.php';
echo div;
echo 'Приватное сообщение, видит только адресат...';
echo '<dl></dl>';
}


}
if ($k_page>1){
echo '<br /><dl><dt></dt></dl>';
str2("tema_$fid",$k_page,$page); // Вывод страниц
echo '<br /><dl><dt></dt></dl>';
}
if ($tem['close']== 1)echo '<br /><b>Тема закрыта для обсуждения!</b><br/>';
else{
if($user['forma']==0)
if($user['id']!=""){
if($user['posts']>=$set['otv_post_for']){
echo '<img src="'.H.'img/add.png" alt="*"/> <a href="addpost_'.$fid.'_'.$page.'"><b>Ответить</b></a><dl><dt></dt></dl>';
}else{
echo 'Для общения в форуме нужно<br/>иметь более <b>'.$set['otv_post_for'].' </b>постов!<br/><dl><dt></dt></dl>';}}

else if($user['forma']==1) {
if ($ver!='wml') echo '<form action="addpost_'.$fid.'_'.$page.'?'.SID.'" method="post">';
if ($ver=='wml')echo 'Сообщение:<br /><input name="msg'.$ref.'" title="Сообщение"/><br/>';
else echo 'Сообщение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br />';

if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="addpost_'.$fid.'_'.$page.'?'.SID.'" method="post">';
echo '<a href="temes_'.$r.'">'.$raz[name].'</a>|<b>'.$t_name.'</b><dl><dt></dt></dl><a href="#down">Вниз</a> | <a href="?">Обновить</br></a>;
<postfield name="act" value="act"/>
<postfield name="privat" value="$privat"/>
<postfield name="opprivat" value="$opprivat"/>
</go></anchor><br/>';
}else{
echo '<input name="act" type="hidden" value="act"/>';
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br />';
echo '<a href="?">Обновить</a>';
}
}
 }

$who = $db->sql_numrows($db->sql_query("SELECT * FROM `who` WHERE `room` = '$mod' and `rm` = '$fid'"));
echo '<a name="down"></a>
<br /><dl><dt></dt></dl>
<a href="#up">Вверх</a> | <a href="who_'.$mod.'_'.$fid.'">Кто тут?('.$who.')</a> | ';
?>
